# phpMyAdmin MySQL-Dump
# http://phpwizard.net/phpMyAdmin/
#
# Host: nirvana Database : machine

# --------------------------------------------------------
#
# Table structure for table 'OS'
#

CREATE TABLE OS (
   id tinyint(4) DEFAULT '0' NOT NULL auto_increment,
   name text NOT NULL,
   PRIMARY KEY (id)
);

#
# Dumping data for table 'OS'
#

INSERT INTO OS VALUES ( '1', 'Windows 95');
INSERT INTO OS VALUES ( '2', 'Windows 98');
INSERT INTO OS VALUES ( '3', 'Windows 98SE');
INSERT INTO OS VALUES ( '4', 'Windows 2000');
INSERT INTO OS VALUES ( '5', 'Windows 2000 Professional');
INSERT INTO OS VALUES ( '6', 'Windows 2000 Advanced Server');
INSERT INTO OS VALUES ( '7', 'Windows ME');
INSERT INTO OS VALUES ( '8', 'Windows NT 3.5.1');
INSERT INTO OS VALUES ( '9', 'Windows NT 4.0');
INSERT INTO OS VALUES ( '10', 'Red Hat Linux 6.0');
INSERT INTO OS VALUES ( '11', 'Red Hat Linux 6.1');
INSERT INTO OS VALUES ( '12', 'Red Hat Linux 6.2');
INSERT INTO OS VALUES ( '13', 'Red Hat Linux 7.0');
INSERT INTO OS VALUES ( '14', 'Solaris 2.5.1');
INSERT INTO OS VALUES ( '15', 'Solaris 2.6');
INSERT INTO OS VALUES ( '16', 'Solaris7');
INSERT INTO OS VALUES ( '17', 'Solaris8');
INSERT INTO OS VALUES ( '18', 'LynxOS');

# --------------------------------------------------------
#
# Table structure for table 'access'
#

CREATE TABLE access (
   id int(11) DEFAULT '0' NOT NULL,
   description text
);

#
# Dumping data for table 'access'
#

INSERT INTO access VALUES ( '0', 'Admin');
INSERT INTO access VALUES ( '1', 'Manipulate');
INSERT INTO access VALUES ( '2', 'Display');

# --------------------------------------------------------
#
# Table structure for table 'aliases'
#

CREATE TABLE aliases (
   id int(11) DEFAULT '0' NOT NULL,
   Alias text NOT NULL
);


# --------------------------------------------------------
#
# Table structure for table 'changes'
#

CREATE TABLE changes (
   id int(11) DEFAULT '0' NOT NULL,
   who text NOT NULL,
   date text NOT NULL
);


# --------------------------------------------------------
#
# Table structure for table 'conf'
#

CREATE TABLE conf (
   id int(11) DEFAULT '0' NOT NULL auto_increment,
   domainname text NOT NULL,
   serial int(20) DEFAULT '0' NOT NULL,
   named text NOT NULL,
   yp text NOT NULL,
   dhcpd text NOT NULL,
   dns_header text NOT NULL,
   dns_rev_header text NOT NULL,
   yp_header text NOT NULL,
   dhcpd_header text NOT NULL,
   named_restart text NOT NULL,
   yp_restart text NOT NULL,
   dhcpd_restart text NOT NULL,
   NIS_Host text NOT NULL,
   DNS_Host text NOT NULL,
   DHCP_Host text NOT NULL,
   PRIMARY KEY (id)
);


# --------------------------------------------------------
#
# Table structure for table 'defaults'
#

CREATE TABLE defaults (
   start_range int(11) DEFAULT '0' NOT NULL,
   end_range int(11) DEFAULT '0' NOT NULL,
   tmp text NOT NULL
);

#
# Dumping data for table 'defaults'
#

INSERT INTO defaults VALUES ( '', '', '');

# --------------------------------------------------------
#
# Table structure for table 'domain_presence'
#

CREATE TABLE domain_presence (
   id int(11) DEFAULT '0' NOT NULL,
   Domain text NOT NULL
);


# --------------------------------------------------------
#
# Table structure for table 'name'
#

CREATE TABLE name (
   id int(11) DEFAULT '0' NOT NULL auto_increment,
   IP_Address text NOT NULL,
   Machine_Name text NOT NULL,
   Hardware_Address text NOT NULL,
   KEY id (id)
);


# --------------------------------------------------------
#
# Table structure for table 'owner'
#

CREATE TABLE owner (
   id int(11) DEFAULT '0' NOT NULL,
   Owner_Name text NOT NULL,
   Location text NOT NULL,
   Comment text NOT NULL
);


# --------------------------------------------------------
#
# Table structure for table 'processor_types'
#

CREATE TABLE processor_types (
   id int(11) DEFAULT '0' NOT NULL auto_increment,
   name text NOT NULL,
   UNIQUE id (id)
);

#
# Dumping data for table 'processor_types'
#

INSERT INTO processor_types VALUES ( '1', 'UltraSparc AX');
INSERT INTO processor_types VALUES ( '2', 'Intel Pentium');
INSERT INTO processor_types VALUES ( '3', 'Intel Pentium II');
INSERT INTO processor_types VALUES ( '4', 'Intel Pentium III');
INSERT INTO processor_types VALUES ( '5', 'Intel Pentium IV');
INSERT INTO processor_types VALUES ( '6', 'Intel Pentium Pro');
INSERT INTO processor_types VALUES ( '7', 'AMD Althon K7');
INSERT INTO processor_types VALUES ( '8', 'AMD K6');
INSERT INTO processor_types VALUES ( '9', 'AMD K6 II');
INSERT INTO processor_types VALUES ( '10', 'UltraSparc AXi');

# --------------------------------------------------------
#
# Table structure for table 'specs'
#

CREATE TABLE specs (
   id int(11) DEFAULT '0' NOT NULL,
   OS int(11) DEFAULT '0' NOT NULL,
   Serial_Number text NOT NULL,
   Processor int(11) DEFAULT '0' NOT NULL,
   Processor_Speed text NOT NULL,
   Memory text NOT NULL
);


# --------------------------------------------------------
#
# Table structure for table 'users'
#

CREATE TABLE users (
   Username text NOT NULL,
   Password text NOT NULL,
   uid int(11) DEFAULT '0' NOT NULL auto_increment,
   Email text NOT NULL,
   Access int(11) DEFAULT '0' NOT NULL,
   PRIMARY KEY (uid)
);

#
# Table structure for table 'descriptions'
#

CREATE TABLE descriptions (
   item text NOT NULL,
   info text NOT NULL
);
